# FWDekker Template
The base template for pages on fwdekker.com.

This module contains templating functions (e.g. `header`, `footer`), CSS libraries, and some common utility methods that
are used on nearly all pages anyway.

The main functionality is provided in `template.js` and `template.css`.
There also exist optional modules for easily reusing common code.
Modules should be loaded after `template.js` and `template.css`.
Currently, the only module is `storage.js` for interfacing with local storage.


## Development
### Requirements
* [npm](https://www.npmjs.com/)

### Setting up
```shell script
# Install dependencies (only needed once)
$> npm ci
```

### Building
```shell script
# Build the template in `dist/` for development
$> npm run dev
# Run the `dev` task and automatically rerun it whenever files are changed
$> npm run dev:server
# Build the template in `dist/` for deployment
$> npm run deploy
```
